summaryrefslogtreecommitdiff
path: root/round-robin-bisect.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-28 10:08:23 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-07-28 10:08:23 +0000
commit1ed20c0a73341fe7c9bf0db66d75d20b83d3e07d (patch)
tree374c5b4a345e8637ebd9842726f9159346ffd0d6 /round-robin-bisect.sh
parentfb7852bee8f941240b046236188fbebc759cf2a5 (diff)
round-robin-bisect.sh: Warn, but don't fail, on jira errors
Change-Id: I04805d2500ccbac66d5bbe0956d7b8a0b11b57ad
Diffstat (limited to 'round-robin-bisect.sh')
-rwxr-xr-xround-robin-bisect.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/round-robin-bisect.sh b/round-robin-bisect.sh
index 8ded4ea6..b04dfab1 100755
--- a/round-robin-bisect.sh
+++ b/round-robin-bisect.sh
@@ -694,7 +694,12 @@ username: team-toolchain+tcwg-jira@linaro.org
EOF
fi
sed -i -e "s/#TCWG_JIRA_TOKEN#/$TCWG_JIRA_TOKEN/" $HOME/.jipdate.yml
- echo y | jipdate.py -f $artifacts/jenkins/jira-body.txt
+ echo y | jipdate.py -f $artifacts/jenkins/jira-body.txt &
+ res=0 && wait $! || res=$?
+ if [ $res != 0 ]; then
+ echo "WARNING: Could not post this report to $jira_card" \
+ >> $artifacts/jenkins/mail-body.txt
+ fi
fi
fi